<?
/*
*******************************
 IP-SYMCON Event Scripting
*******************************
File     : Terminverwaltung.ips.php
Trigger  :
Interval : 60s
*/

 //bentigte Variablen
 $time = time();
 $hrs = (integer)date("H", $time);
 $min = (integer)date("i", $time);
 $sec = (integer)date("s", $time);

 $Term               = GetValueBoolean("Term");
 $Term_mor           = GetValueBoolean("Term_mor");
 $term_anz1_inhalt   = GetValueString ("term_anz1_inhalt");
 $term_aktuell       = GetValueString ("term_aktuell");
 $Terminmodus        = GetValueInteger("Terminmodus");

 if (!isset($IPS_COMPONENT)) $IPS_COMPONENT="";

 //Start der Terminprfung ermglichen
 $timer_wert = IPS_GetScriptTimer("Terminverwaltung");  //prfen ob Timer aktiv
 if($timer_wert != 0)
 {
   //Timer aktiv
 }
 else
 {
   IPS_SetScriptTimer("Terminverwaltung",60); //Timer jede Minute starten
 }

 //Hier Ablageort fr termine.txt eintragen
 $filename = IPS_GetKernelDir()."Thomas/termine.txt";

 //--------------------------- Termine ermitteln -------------------------------

 //Termine fr die einzelnen Modi vorlesen wenn $Terminmodus != 0 ist
 $Terminmodus = GetValueInteger("Terminmodus");

 if ($IPS_SENDER == "TimerEvent" or $Terminmodus !=0)
 {
   //Termine fr den neuen Tag bereinigen und anzeigen - Designer
   if ($hrs == 23 and $min == 59 or $hrs == 00 and $min == 01 or $Terminmodus !=0)
   {
      $var_integer = array
      (
      "term_anz1_stunde",
      "term_anz1_minute",
      "term_anz1_tag",
       "term_anz1_monat",
       "term_anz2_stunde",
       "term_anz2_minute",
       "term_anz2_tag",
       "term_anz2_monat",
       "term_anz3_stunde",
       "term_anz3_minute",
       "term_anz3_tag",
       "term_anz3_monat",
       "term_anz4_stunde",
       "term_anz4_minute",
       "term_anz4_tag",
       "term_anz4_monat",
       "term_anz5_stunde",
       "term_anz5_minute",
       "term_anz5_tag",
       "term_anz5_monat",
       "term_anz6_stunde",
       "term_anz6_minute",
       "term_anz6_tag",
       "term_anz6_monat"
       );

       foreach($var_integer as $value)
       {
         SetValueInteger($value, 0);
       }

       $var_string = array
       (
       "term_anz1_inhalt",
       "term_anz2_inhalt",
       "term_anz3_inhalt",
       "term_anz4_inhalt",
       "term_anz5_inhalt",
       "term_anz6_inhalt"
       );

       foreach($var_string as $value)
       {
         SetValueString($value, "-");
       }

       $var_bool = array
       (
       "Term",
       "Term_mor",
       "Term_mod1_Ansage",
       "Term_mod2_Ansage",
       "Term_mod3_Ansage",
       "Term_mod4_Ansage",
       "Term_mod5_Ansage"
       );

       foreach($var_bool as $value)
       {
         SetValueBoolean($value, false);
       }

       $var_integer = array
       (
       "term_anz1_farbe",
       "term_anz2_farbe",
       "term_anz3_farbe",
       "term_anz4_farbe",
       "term_anz5_farbe",
       "term_anz6_farbe"
       );

       foreach($var_integer as $value)
       {
         SetValueInteger($value, 1);
       }
   }

   //Daten holen
   $termfile = file_get_contents($filename); //Termine in Variable einlesen
   $term_arr_komplett = explode("\r\n", $termfile); // nach Zeilenumbruch trennen und in array
   //Termine suchen
   $Term_Zahl = 0;
   $erg       = "";
   //alle Termine durchlaufen
   foreach($term_arr_komplett as $value)
   {
      $term_arr = explode(",", $value); // einzelnen Datensatz in Daten zerlegen

      $term_jaerlich   = (bool)$term_arr[2];
      $term_mo         = (bool)$term_arr[3];
      $term_di         = (bool)$term_arr[4];
      $term_mi         = (bool)$term_arr[5];
      $term_do         = (bool)$term_arr[6];
      $term_fr         = (bool)$term_arr[7];
      $term_sa         = (bool)$term_arr[8];
      $term_so         = (bool)$term_arr[9];
      $term_aktiv      = (bool)$term_arr[10];
      $term_stunde     = (int)$term_arr[11];
      $term_minute     = (int)$term_arr[12];
      $term_tag        = (int)$term_arr[13];
      $term_monat      = (int)$term_arr[14];
      $term_inhalt     = $term_arr[15];

      if($term_aktiv) //wenn aktiver Termin gefunden => prfen
      {
         //Timestamp von heute
         $heute        = mktime (0,0,0,date("m"),date("d"),date("y"));
         //Timestamp des Termins aus der for Schleife
         $termin_dat   = mktime (0,0,0, $term_monat, $term_tag ,date("y"));
         //schauen ob Termin auf heute($erg = 0) oder morgen fllt ($erg = -1)
         $diff         = $heute-$termin_dat;
         $erg          = $diff/((60*60)*24);
         //heutigen Tag ermitteln
         $tag          = (date("w"));

         //wiederkehrende Wchentliche Termine die auf heute fallen prfen
         if ($tag == 0 and $term_so == 1 or $tag == 1 and $term_mo == 1 or
             $tag == 2 and $term_di == 1 or $tag == 3 and $term_mi == 1 or
             $tag == 4 and $term_do == 1 or $tag == 5 and $term_fr == 1 or
             $tag == 6 and $term_sa == 1)
         {
            $erg = 0;
         }
         //wiederkehrende Wchentliche Termine die auf morgen fallen prfen
         if ($tag == 6 and $term_so == 1 or $tag == 0 and $term_mo == 1 or
             $tag == 1 and $term_di == 1 or $tag == 2 and $term_mi == 1 or
             $tag == 3 and $term_do == 1 or $tag == 4 and $term_fr == 1 or
             $tag == 5 and $term_sa == 1)
         {
            $erg = -1;
         }
         //Termin zur genauen Uhrzeit
         if($erg == 0 and $hrs == $term_stunde and
            $min == $term_minute and $term_jaerlich != true)
         {
            SetValueString("term_aktuell", $term_inhalt); //Variable triggert Sprachausgabe
         }
         //nur fr den Designer
         if ($hrs == 23 and $min == 59 or $hrs == 00 and $min == 01 or $Terminmodus !=0)
         {
            if ($erg == 0 or $erg == -1)
            {
               SetValueInteger("Term_Zahl", $Term_Zahl+1);
               $Term_Zahl = GetValueInteger("Term_Zahl");

               SetValueInteger("term_anz".$Term_Zahl."_stunde",$term_stunde);
               SetValueInteger("term_anz".$Term_Zahl."_minute",$term_minute);
               SetValueInteger("term_anz".$Term_Zahl."_tag",$term_tag);
               SetValueInteger("term_anz".$Term_Zahl."_monat",$term_monat);
               SetValueString("term_anz".$Term_Zahl."_inhalt",$term_inhalt);
               //Farbe fr Termin heute oder morgen
               if($erg == 0)
               {
                  $farbe = 1;
               }
               if($erg == -1)
               {
                  $farbe = 2;
               }
               SetValueInteger("term_anz".$Term_Zahl."_farbe",$farbe);
            }
         }

         //jhrliche Termine ermitteln
         if((int)$term_arr[11] != 0) //einmaliger Termin zu einer bestimmten Zeit
         {
            $jetzt    = mktime (date("H"),date("i"),0,date("m"),date("d"),date("y"));
            $term_ber = mktime ((int)$term_arr[11],(int)$term_arr[12],0,date("m"),date("d"),date("y"));
         }
         else  //jhrlicher Termin
         {
            $term_ber =0;
            $jetzt    =0;
         }
         //Terminmodus 1
         if($Terminmodus == 1 and $erg == -1)
         {
            SetValueBoolean("Term_mod1_Ansage", true);
            //Hier mu die Sprachausgabe an den Raum der $term_inhalt ausgibt
         }
         //Terminmodus 2
         if($Terminmodus == 2 and $erg == -1)
         {
            SetValueBoolean("Term_mod2_Ansage", true);
            SetValueBoolean("Term_mor", true);
            //Hier mu die Sprachausgabe an den Raum der $term_inhalt ausgibt
         }
         //Terminmodus 3
         if($Terminmodus == 3 and $erg == 0 and $term_ber >= $jetzt)
         {
            SetValueBoolean("Term_mod3_Ansage", true);
            //Hier mu die Sprachausgabe an den Raum der $term_inhalt ausgibt
         }
         //Terminmodus 4
         if ($Terminmodus == 4 and $erg == 0 and $term_ber >= $jetzt)
         {
            SetValueBoolean("Term_mod4_Ansage", true);
            //Hier mu die Sprachausgabe an den Raum der $term_inhalt ausgibt
         }
         //Terminmodus 5
         if ($Terminmodus == 5 and $erg == 0 and $term_ber >= $jetzt)
         {
            SetValueBoolean("Term_mod5_Ansage", true);
            //Hier mu die Sprachausgabe an den Raum der $term_inhalt ausgibt
         }
      }
   } // foreach Schleife beenden

   //Feiertage
   $feiertag = array
   (
   "Ostersonntag",
   "Ostermontag",
   "Karfreitag",
   "Christi Himmelfahrt",
   "Pfingstsonntag",
   "Pfingstmontag",
   "Neujahr",
   "Tag der Arbeit",
   "Tag der deutschen Einheit",
   "Reformationstag",
   "Heiligabend",
   "1. Weihnachtsfeiertag",
   "2. Weihnachtsfeiertag",
   "Silvester"
   );

   foreach($feiertag as $value)
   {
      $feiert = explode(".", TT_Feiertage($value, (int)date("Y"))); // in array (tag.monat.jahr)
      //Timestamp von heute
      $heute      = mktime (0,0,0,date("m"),date("d"),date("y"));
      //Timestamp des Feiertages
      $termin_dat = mktime (0,0,0,(int)$feiert[1],(int)$feiert[0],date("y"));
      //schauen ob Termin auf heute($erg = 0) oder morgen fllt ($erg = -1)
      $diff       = $heute-$termin_dat;
      $erg        = $diff/((60*60)*24);

      //Feiertag gefunden => hier speichern
      if ($erg == 0)
      {
         //nur fr den Designer
         if ($hrs == 23 and $min == 59 or $hrs == 00 and $min == 01 or $Terminmodus !=0)
         {
            SetValueInteger("Term_Zahl", $Term_Zahl+1);
            $Term_Zahl = GetValueInteger("Term_Zahl");

            SetValueInteger("term_anz".$Term_Zahl."_stunde", 0);
            SetValueInteger("term_anz".$Term_Zahl."_minute", 0);
            SetValueInteger("term_anz".$Term_Zahl."_tag", (int)date("d"));
            SetValueInteger("term_anz".$Term_Zahl."_monat", (int)date("m"));
            SetValueString("term_anz".$Term_Zahl."_inhalt",$value);
            $farbe = 3;
            SetValueInteger("term_anz".$Term_Zahl."_farbe",$farbe);
         }
      }

      //Feiertag fr die einzelnen Modi vorlesen

      //Terminmodus 1
      if($erg == -1 and $Terminmodus == 1)
      {
         SetValueBoolean("Term_mod1_Ansage", true);
         //Hier mu die Sprachausgabe an den Raum der $term_inhalt ausgibt
      }
      //Terminmodus 2
      if($erg == -1 and $Terminmodus == 2)
      {
         SetValueBoolean("Term_mod2_Ansage", true);
	      //Hier mu die Sprachausgabe an den Raum der $term_inhalt ausgibt
      }
      //Terminmodus 3
      if($erg == 0 and $Terminmodus == 3)
      {
         SetValueBoolean("Term_mod3_Ansage", true);
        //Hier mu die Sprachausgabe an den Raum der $term_inhalt ausgibt
      }
      //Terminmodus 4
      if ($erg == 0 and $Terminmodus == 4)
      {
         SetValueBoolean("Term_mod4_Ansage", true);
        //Hier mu die Sprachausgabe an den Raum der $term_inhalt ausgibt
      }
      //Terminmodus 5
      if ($erg == 0 and $Terminmodus == 5)
      {
         SetValueBoolean("Term_mod5_Ansage", true);
	     //Hier mu die Sprachausgabe an den Raum der $term_inhalt ausgibt
      }

   } //for Schleife beenden

   //Termin Symbol Designer anzeigen, wenn Termin oder Feiertag gefunden wurde
   if ("term_anz1_inhalt" != "-")
   {
      SetValueBoolean("Term", true);
   }
   //Terminmodus beenden
   if($Terminmodus !="0"){SetValueInteger("Terminmodus", 0);}

 return;//raus wenn durch TimerEvent oder Terminmodus 6 gestartet
 }

 //------------------------------ Terminverwaltung -----------------------------

 //Start
 if (file_exists($filename))
 {
   $termfile = file_get_contents($filename); //Termine in Variable einlesen
   $term_arr_komplett = explode("\r\n", $termfile); // nach Zeilenumbruch trennen und in array
 }
 else //erster Datensatz
 {
   $term_neu_komplett = "\r\n"; // 1 x Platzhalter String erzeugen
   $handle=fopen($filename, "w");
   fwrite($handle,$term_neu_komplett);
   fclose($handle);
   SetValueInteger("counter",0);
 }

 $counter_summe = count($term_arr_komplett); // Werte zhlen
 SetValueInteger("counter_summe",$counter_summe-1); //Gesatmsumme der Datenstze

 //Datensatz vor
 if ($IPS_COMPONENT == "vor" or $IPS_COMPONENT == "vor_10")
 {
   SetValueString("term_meldung","");
   if ($IPS_COMPONENT == "vor")
   {
      $counter = GetValueInteger("counter");
      $counter = $counter+1;
      $werte = count($term_arr_komplett); // Werte zhlen
      if ($counter == $werte){$counter=$werte-1;}
      SetValueInteger("counter", $counter);
      $term_arr = explode(",", $term_arr_komplett[$counter]);
   }
   if ($IPS_COMPONENT == "vor_10")
   {
      $counter = GetValueInteger("counter");
      $counter = $counter+10;
      if ($counter_summe-1 < $counter){return;} // raus wenn Datensatz nicht existiert
      $werte = count($term_arr_komplett); // Werte zhlen
      if ($counter == $werte){$counter=$werte-1;}
      SetValueInteger("counter", $counter);
      $term_arr = explode(",", $term_arr_komplett[$counter]);
   }
   term_anz();
   return;
 }

 //Datensatz zurck
 if ($IPS_COMPONENT == "zur" or $IPS_COMPONENT == "zur_10")
 {
   SetValueString("term_meldung","");
   if ($IPS_COMPONENT == "zur")
   {
      $counter = GetValueInteger("counter");
      $counter = $counter-1;
      if ($counter<1){$counter=1;}
      SetValueInteger("counter", $counter);
      $term_arr = explode(",", $term_arr_komplett[$counter]);
   }
   if ($IPS_COMPONENT == "zur_10")
   {
      $counter = GetValueInteger("counter");
      $counter = $counter-10;
      if ($counter<1){$counter=1;}
      SetValueInteger("counter", $counter);
      $term_arr = explode(",", $term_arr_komplett[$counter]);
   }
   term_anz();
   return;
 }

 //neuer Datensatz
 if ($IPS_COMPONENT == "neu")
 {
   SetValueInteger("counter", count($term_arr_komplett)); // Werte zhlen

   //leerer Datensatz und aktiv gesetzt
   $integer = array
   (
   "term_stunde",
   "term_minute",
   "term_tag",
   "term_monat"
   );

   foreach($integer as $value)
   {
      SetValueInteger($value, 0);
   }

   $bool = array
   (
   "term_einmalig",
   "term_jaerlich",
   "term_mo",
   "term_di",
   "term_mi",
   "term_do",
   "term_fr",
   "term_sa",
   "term_so"
   );

   foreach($bool as $value)
   {
      SetValueBoolean($value, false);
   }

   SetValueBoolean("term_aktiv", true);

   SetValueString("term_inhalt", "");

   SetValueString("term_meldung","Bitte neuen Datensatz eingeben");
 }

 //Datensatz prfen
 //Fehler lschen
 SetValueBoolean("err_date", false);
 SetValueBoolean("err_time", false);
 SetValueBoolean("err_einm_jaerl", false);
 SetValueBoolean("err_woch", false);
 SetValueBoolean("err_inhalt", false);
 //aktuellen Datensatz in Variable laden
 $counter         = GetValueInteger("counter");
 $term_arr        = explode(",", $term_arr_komplett[$counter]);

 term_hol();

 //Datensatz lschen
 if ($IPS_COMPONENT == "loe")
 {
   $counter = GetValueInteger("counter");
   unset ($term_arr_komplett[$counter]);
   $term_neu_komplett = implode("\r\n", $term_arr_komplett); // in String zurck
   $handle=fopen($filename, "w");
   fwrite($handle,$term_neu_komplett);
   fclose($handle);

   $counter = GetValueInteger("counter");
   $counter = $counter-1;
   if ($counter<1){$counter=1;}
   SetValueInteger("counter", $counter);
   $term_arr = explode(",", $term_arr_komplett[$counter]);

   //vorherigen Datensatz anzeigen
   term_anz();

   $counter_summe = count($term_arr_komplett); // Werte zhlen
   SetValueInteger("counter_summe",$counter_summe-1); //Gesatmsumme der Datenstze

   SetValueString("term_meldung","Datensatz gelscht");
   SetValueInteger("Terminmodus", 6);
   IPS_RunScript("Terminverwaltung");
   return;
 }

 //Datensatz speichern
 if ($IPS_COMPONENT == "speichern")
 {
   $counter       = GetValueInteger("counter");

   term_hol();

   //Zeitstempel aus Datensatz generieren
   $term_arr[0] = mktime($term_arr[11], $term_arr[12], 0, $term_arr[14], $term_arr[13], 2000);

   //Datensatz prfen

   //wenn jhrlich und einmalig und wchentlich nicht gesetzt
   if(
   $term_jaerlich == false and $term_einmalig == false and
   $term_mo       == false and $term_di       == false and
   $term_mi       == false and $term_do       == false and
   $term_fr       == false and $term_sa       == false and $term_so == false)
   {
      SetValueString("term_meldung","Wiederholungswert nicht eingegeben");
      SetValueBoolean("err_einm_jaerl", true);
      SetValueBoolean("err_woch", true);
      return;
   }

   //wenn jhrlich und einmalig gesetzt
   if($term_jaerlich == true and $term_einmalig == true)
   {
      SetValueString("term_meldung","der wert jhrlich und einmalig kann nicht gleichzeitig gesetzt werden");
      return;
   }

   //wenn Stundenwert >24 Uhr oder kleiner 0 Uhr
   if((int)$term_stunde > 24 or (int)$term_stunde < 0 or (int)$term_minute >59 or (int)$term_minute < 0)
   {
      SetValueString("term_meldung","diese Uhrzeit ist nicht mglich");
      SetValueBoolean("err_time", true);
      return;
   }

   //wenn Stundenwert 24 Uhr und min grer 0
   if((int)$term_stunde == 24 and (int)$term_minute >0)
   {
      SetValueString("term_meldung","diese Uhrzeit ist nicht mglich");
      SetValueBoolean("err_time", true);
      return;
   }

   //Anzahl der Tage im Monat errechnen
   $mon_days = cal_days_in_month(CAL_GREGORIAN,(int)$term_monat,2009);

   //wenn jhrlicher oder einmaliger Termin und Monat >12 oder <1 oder es den Tag nicht gibt
   if(
   $term_jaerlich == true and (int)$term_monat > 12 or
   $term_jaerlich == true and (int)$term_monat < 1 or
   $term_jaerlich == true and (int)$term_tag > $mon_days or
   $term_einmalig == true and (int)$term_monat > 12 or
   $term_einmalig == true and (int)$term_monat < 1 or
   $term_einmalig == true and (int)$term_tag > $mon_days)
   {
      SetValueString("term_meldung","dieses Datum ist nicht mglich oder wochentag gesetzt");
      SetValueBoolean("err_date", true);
      SetValueBoolean("err_woch", true);
      return;
   }

   //wenn Wochenwert gesetzt und jhrlich gesetzt
   if(
   $term_jaerlich == true and $term_mo == true or
   $term_jaerlich == true and $term_di == true or
   $term_jaerlich == true and $term_mi == true or
   $term_jaerlich == true and $term_do == true or
   $term_jaerlich == true and $term_fr == true or
   $term_jaerlich == true and $term_sa == true or
   $term_jaerlich == true and $term_so == true)
   {
      SetValueString("term_meldung","wchentlicher Termin in Verbindung mit einmalig oder jhrlich ist nicht mglich");
      SetValueBoolean("err_einm_jaerl", true);
      SetValueBoolean("err_woch", true);
      return;
   }

   //wenn Wochenwert gesetzt und einmalig gesetzt
   if(
   $term_einmalig == true and $term_mo == true or
   $term_einmalig == true and $term_di == true or
   $term_einmalig == true and $term_mi == true or
   $term_einmalig == true and $term_do == true or
   $term_einmalig == true and $term_fr == true or
   $term_einmalig == true and $term_sa == true or
   $term_einmalig == true and $term_so == true)
   {
      SetValueString("term_meldung","wchentlicher Termin in Verbindung mit einmalig oder jhrlich ist nicht mglich");
      SetValueBoolean("err_einm_jaerl", true);
      SetValueBoolean("err_woch", true);
      return;
   }

   //wenn termin weniger als 2 Zeichen
   if (strlen($term_inhalt)<2)
   {
      SetValueString("term_meldung","dieser Termineintrag ist zu kurz oder wurde nicht mit Enter besttigt");
      SetValueBoolean("err_inhalt", true);
      return;
   }

   //wenn Wochenwert gesetzt, Datum auf 0 setzen
   if(
   $term_mo == true or
   $term_di == true or
   $term_mi == true or
   $term_do == true or
   $term_fr == true or
   $term_sa == true or
   $term_so == true)
   {
      $term_arr[13] = 0;
      $term_arr[14] = 0;
   }

   //wenn jhrlich gesetzt, Zeit auf 0 setzen
   if($term_jaerlich)
   {
      $term_arr[11] = 0;
      $term_arr[12] = 0;
   }

   //Fehler lschen
   SetValueBoolean("err_date", false);
   SetValueBoolean("err_time", false);
   SetValueBoolean("err_einm_jaerl", false);
   SetValueBoolean("err_woch", false);
   SetValueBoolean("err_inhalt", false);

   $term_neu = implode(",", $term_arr); // in String zurck
   $term_arr_komplett[$counter] = $term_neu;
   sort($term_arr_komplett); // nach Zeit sortieren
   $term_neu_komplett = implode("\r\n", $term_arr_komplett); // in String zurck
   $handle=fopen($filename, "w");
   fwrite($handle,$term_neu_komplett);
   fclose($handle);

   SetValueString("term_meldung","Datensatz gespeichert");

   SetValueInteger("Terminmodus", 6);
   IPS_RunScript("Terminverwaltung");
 }

 $counter_summe = count($term_arr_komplett); // Werte zhlen
 SetValueInteger("counter_summe",$counter_summe-1); //Gesatmsumme der Datenstze

 //------------------------------- Funktionen ----------------------------------

 function term_anz() //Datensatz anzeigen
 {
   global $term_arr;
   SetValueBoolean("term_einmalig", (bool)$term_arr[1]);
   SetValueBoolean("term_jaerlich", (bool)$term_arr[2]);
   SetValueBoolean("term_mo",       (bool)$term_arr[3]);
   SetValueBoolean("term_di",       (bool)$term_arr[4]);
   SetValueBoolean("term_mi",       (bool)$term_arr[5]);
   SetValueBoolean("term_do",       (bool)$term_arr[6]);
   SetValueBoolean("term_fr",       (bool)$term_arr[7]);
   SetValueBoolean("term_sa",       (bool)$term_arr[8]);
   SetValueBoolean("term_so",       (bool)$term_arr[9]);
   SetValueBoolean("term_aktiv",    (bool)$term_arr[10]);
   SetValueInteger("term_stunde",    (int)$term_arr[11]);
   SetValueInteger("term_minute",    (int)$term_arr[12]);
   SetValueInteger("term_tag",       (int)$term_arr[13]);
   SetValueInteger("term_monat",     (int)$term_arr[14]);
   SetValueString("term_inhalt",          $term_arr[15]);
 }

 function term_hol() //Datensatz holen
 {
   global $term_arr;
   global $term_einmalig;
   global $term_jaerlich;
   global $term_mo;
   global $term_di;
   global $term_mi;
   global $term_do;
   global $term_fr;
   global $term_sa;
   global $term_so;
   global $term_aktiv;
   global $term_stunde;
   global $term_minute;
   global $term_tag;
   global $term_monat;
   global $term_inhalt;
   $term_einmalig = (int)$term_arr[1]  = GetValueBoolean("term_einmalig");
   $term_jaerlich = (int)$term_arr[2]  = GetValueBoolean("term_jaerlich");
   $term_mo       = (int)$term_arr[3]  = GetValueBoolean("term_mo");
   $term_di       = (int)$term_arr[4]  = GetValueBoolean("term_di");
   $term_mi       = (int)$term_arr[5]  = GetValueBoolean("term_mi");
   $term_do       = (int)$term_arr[6]  = GetValueBoolean("term_do");
   $term_fr       = (int)$term_arr[7]  = GetValueBoolean("term_fr");
   $term_sa       = (int)$term_arr[8]  = GetValueBoolean("term_sa");
   $term_so       = (int)$term_arr[9]  = GetValueBoolean("term_so");
   $term_aktiv    = (int)$term_arr[10] = GetValueBoolean("term_aktiv");
   $term_stunde   = (int)$term_arr[11] = GetValueInteger("term_stunde");
   $term_minute   = (int)$term_arr[12] = GetValueInteger("term_minute");
   $term_tag      = (int)$term_arr[13] = GetValueInteger("term_tag");
   $term_monat    = (int)$term_arr[14] = GetValueInteger("term_monat");
   $term_inhalt   =      $term_arr[15] = GetValueString("term_inhalt");
 }

 //-----------------------------------------------------------------------------

?>
